Package net.sourceforge.jiu.apps

# Class jiuconvert

java.lang.Object
net.sourceforge.jiu.apps.jiuconvert

public class jiuconvert extends Object
A command line program to convert between file formats.

Since:
  0.10.0
Author:
  Marco Schmidt

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`jiuconvert()`

## Method Summary

Modifier and Type
Method
Description
`private static Vector`
`createSwitches()`
`private static void`
`exit(JiuConvertSettings settings, int exitCode)`
`private static JiuConvertSettings`
`initFromArguments(String[] args)`
`static void`
`main(String[] args)`
`private static void`
`print(int minVerbosityLevel, JiuConvertSettings settings, String message)`
`private static void`
`println(int minVerbosityLevel, JiuConvertSettings settings, String message)`
`private static void`
`run(JiuConvertSettings settings)`
`private static void`
`run(JiuConvertSettings settings, String inputFileName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### jiuconvert

private jiuconvert()

## Method Details

### createSwitches

private static Vector createSwitches()

### exit

private static void exit(JiuConvertSettings settings, int exitCode)

### initFromArguments

private static JiuConvertSettings initFromArguments(String[] args)

### print

private static void print(int minVerbosityLevel, JiuConvertSettings settings, String message)

### println

private static void println(int minVerbosityLevel, JiuConvertSettings settings, String message)

### run

private static void run(JiuConvertSettings settings, String inputFileName)

### run

private static void run(JiuConvertSettings settings)

### main

public static void main(String[] args)